/* shop.html CSS */

/* clearfix solution to ensure the footer isnt included as a project block */
.wrapper::after {
    content: "";
    display: block;
    clear: both;
}
  
.noBullet {
    list-style-type: none;
}
  
main a {
    color: black;
    text-align: center;
    text-decoration: none;
}

main a:hover {
    text-decoration: underline;
}

li > img {
    position: relative;
    width: 100%; /* set to fill 100% of container class block */
}

img {
    border: solid 1px black;
    object-fit: cover;
}

h1 {
    text-align: center;
}

/* Product Block CSS */
  
.products li.product {
    display: block;
    float: left;
    width: 300px;
    margin: 10px;
}
  
.products li.product p {
    text-align: center;
    width: 100%; /* set to fill 100% of container class block */
}

.products li.product p.description {
    color: #555;
}

/* Service Block CSS */

.services {
    clear: both;
}

.services li.service {
    display: block;
    float: left;
    width: 300px;
    margin: 10px;
}

.services li.service p {
    text-align: center;
    width: 100%;
}

.services li.service p.description {
    color: #555;
}

@media screen and (max-width: 480px) { /* mobile devices only - no tablets */

    .products,
    .services,
    .noBullet {
        padding: 0;
        margin: 0;
    }

    .products li.product,
    .services li.service {
        float: none;
        display: block;
        text-align: center;
        width: 90%;
        max-width: 100%;
        margin: 40px auto;
    }

    .products li.product:last-child,
    .services li.service:last-child {
        margin: 20px auto;
    }

    .products img,
    .services img {
        display: block;
        max-width: 100%;
        margin: 0 auto;
    }

}


